[android-components](../../index.md) / [org.mozilla.telemetry.util](../index.md) / [StringUtils](./index.md)

# StringUtils

`open class StringUtils` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/util/StringUtils.java#L11)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `StringUtils()` |

### Functions

| Name | Summary |
|---|---|
| [safeSubstring](safe-substring.md) | `open static fun safeSubstring(str: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, start: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, end: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
